> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaanivoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Campaign

> Temporarily pause an active campaign

## Pause Campaign

Temporarily pause a running campaign. Can be resumed later with `/resume`.

***

## Path Parameters

**campaign\_id** `string` *required*

UUID of the campaign to pause

***

## Example Request

```bash theme={null}
curl -X POST "https://api.vaanivoice.ai/api/campaigns/abc-123-xyz/pause" \
  -H "X-API-Key: vaani_abc123..."
```

***

## Response `200 OK`

```json theme={null}
{
  "id": "7edae6d7-2f23-41e3-9c34-061cc3171e8a",
  "client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
  "agent_id": "d665d65d-f1f1-4c23-aee2-0675bd3ec06f",
  "campaign_name": "campaing api test",
  "excel_blob_url": "https://vaani-uat-storage.s3.ap-south-1.amazonaws.com/campaigns/e3e5b338-937e-4672-a700-1a1f5817a385/16e07bf0-d971-4b7c-980a-094913f50768_Untitled spreadsheet - Sheet1 (5).csv",
  "results_excel_blob_url": null,
  "last_result_generated_at": null,
  "campaign_status": "paused",
  "contact_source_type": "csv",
  "gsheet_config": null,
  "days_of_week": "tuesday,thursday",
  "post_processing_status": "pending_excel",
  "time_range_from": "04:30:00Z",
  "time_range_to": "14:29:00Z",
  "max_retries": 1,
  "retry_after_mins": 5,
  "call_concurrency": 1,
  "start_date": "2026-09-22T04:30:00",
  "end_date": "2026-09-23T14:29:00",
  "created_at": "2026-09-22T05:16:39.393250",
  "updated_at": "2026-09-22T05:17:53.129961",
  "notification_emails": null,
  "webhook_url": null,
  "per_call_webhook_url": null,
  "webhook_id": null,
  "perform_dnd_check": false
}
```

***

## Behavior

* Ongoing calls complete normally
* No new calls are initiated
* Campaign can be resumed with `/resume`
* All progress is preserved


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.